/**
 * Copyright (c) 2002-2012 "Neo Technology,"
 * Network Engine for Objects in Lund AB [http://neotechnology.com]
 *
 * This file is part of Neo4j.
 *
 * Neo4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.neo4j.management;

public class ClusterDatabaseInfo extends ClusterMemberInfo
{
    private final long lastCommittedTxId;
    private final long lastUpdateTime;
    private final int serverId;

    public ClusterDatabaseInfo( ClusterMemberInfo memberInfo, long lastCommittedTxId, long lastUpdateTime, int serverId )
    {
        super( memberInfo.getClusterId(), memberInfo.isAvailable(), memberInfo.isAlive(), memberInfo.getHaRole(),
                memberInfo.getUris(), memberInfo.getRoles() );
        this.lastCommittedTxId = lastCommittedTxId;
        this.lastUpdateTime = lastUpdateTime;
        this.serverId = serverId;
    }

    public long getLastCommittedTxId()
    {
        return lastCommittedTxId;
    }

    public long getLastUpdateTime()
    {
        return lastUpdateTime;
    }

    public int getServerId()
    {
        return serverId;
    }
}
